OSPFv3 Extensions for BIER-TE
Huaimo Chen
Futurewei
Boston, MA
USA
hchen.ietf@gmail.com
Mike McBride
Futurewei
michael.mcbride@futurewei.com
Aijun Wang
China Telecom
Beiqijia Town, Changping District
Beijing
102209
China
wangaj3@chinatelecom.cn
Gyan S. Mishra
Verizon Inc.
13101 Columbia Pike
Silver Spring
MD 20904
USA
301 502-1347
gyan.s.mishra@verizon.com
Yanhe Fan
Casa Systems
USA
yfan@casa-systems.com
Lei Liu
Fujitsu
USA
liulei.kddi@gmail.com
Xufeng Liu
Alef Edge
USA
xufeng.liu.ietf@gmail.com
2024
This document describes OSPFv3 extensions for distributing the BitPositions configured on a Bit-Forwarding Router (BFR) in a "Bit Index Explicit Replication Traffic Engineering" (BIER-TE) domain.

Requirements Language
The key words "MUST", "MUST NOT", "REQUIRED", "SHALL", "SHALL NOT", "SHOULD", "SHOULD NOT", "RECOMMENDED", "MAY", and "OPTIONAL" in this document are to be interpreted as described in [RFC2119] [RFC8174] when, and only when, they appear in all capitals, as shown here.

Introduction
[RFC9262] introduces Bit Index Explicit Replication (BIER) Traffic/Tree Engineering (BIER-TE). It is an architecture for per-packet stateless explicit point to multipoint (P2MP) multicast path/tree.
There are three types of BitPositions (BPs) in a BIER-TE domain: link BitPosition (BP), routed BP and localdecap BP.
A link BP is a BP configured on a link from Bit-Forwarding Router (BFR) X to BFR Y for a forward connected adjacency from X to Y.
A routed BP is a BP configured on BFR X for a forward routed adjacency from X to a remote BFR Z not directly connected to X.
A localdecap BP is a BP configured on a BFR.
[I-D.ietf-bier-ospfv3-extensions] describes OSPFv3 Extensions for distributing the BFR identifier (BFR-id) configured on a BFR.
This document specifies OSPFv3 extensions for distributing the BitPositions configured a BFR in a BIER-TE domain. The BitPositions distributed may be used by a BFR as a Point of Local Repair (PLR) for Fast-ReRoute (FRR).

Extensions to OSPFv3
This section describes protocol extensions to OSPFv3 for distributing the BitPositions configured on a BFR in a BIER-TE domain.

Link BitPosition
[RFC8362] defines OSPFv3 Extended Router LSA, which may include multiple Router-Link TLVs.
A Router-Link TLV defines a single router link.
A Router-Link TLV may include a Link-BP Sub-TLV below for distributing a link BP.

Link-BP Sub-TLV in Router-Link TLV
     0                   1                   2                   3
    0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1
   +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
   |          Type (TBD1)          |             Length            |
   +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
   | sub-domain-id |     MT-ID     |      BAR      |    IPA        |
   +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
   |         BitPosition           |         DrEndBitPosition      |
   +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
Type: TBD1 is to be assigned by IANA.
Length: Variable.
sub-domain-id, MT-ID, BAR and IPA: They are defined in Section 2.1 of [I-D.ietf-bier-ospfv3-extensions].
BitPosition: A 2-octet field encoding the BitPosition locally configured on the link/interface when the Link Type of the link in the Router-Link TLV containing this Sub-TLV is 1 (i.e., Point-to-Point connection to another router) or 2 (i.e., connection to Transit Network or say LAN).
DrEndBitPosition: A 2-octet field encoding the BitPosition of the connection on the designated router (DR) end. This field exists when the Link Type in the Router-Link TLV containing this Sub-TLV is 2 (i.e., Transit Network or LAN). For the other value of the Link Type, this field MUST NOT exist. The DrEndBitPosition may be configured on the link/interface to a transit network (i.e., broadcast link or say LAN) as described in [I-D.chen-bier-te-lan].

Routed and Localdecap BitPositions
The Node BPs TLV, Routed BP Sub-TLV and Localdecap BP Sub-TLV defined in [I-D.ietf-bier-te-ospf] are reused in OSPVv3 for distributing the routed BitPositions and the localdecap BitPosition configured on a BFR.

Security Considerations
Protocol extensions defined in this document do not affect the OSPF security other than those as discussed in the Security Considerations section of [RFC8362].

IANA Considerations
Under "OSPFv3 Extended-LSA Sub-TLVs" registry as defined in [RFC8362], IANA is requested to assign a new registry value for Link-BP Sub-TLV as follows:

  +==============+===================+=====================+
  |  Value       |  Description      |    reference        |
  +==============+===================+=====================+
  |  TBD1 (30)   |  Link-BP          |    This document    |
  +--------------+-------------------+---------------------+

Normative References

Informative References
[RFC2119]
[RFC8174]
[RFC9262]
[I-D.ietf-bier-ospfv3-extensions]
[RFC8362]
[I-D.chen-bier-te-lan]
[I-D.ietf-bier-te-ospf]
Acknowledgments
The authors would like to thank Acee Lindem, Les Ginsberg, Tony Przygienda, Jeffrey Zhang and Toerless Eckert for their comments on this work.